#!/bin/bash

compare_str="/usr/bin/fcitx
/usr/bin/dbus-daemon
/usr/bin/fcitx-dbus-watcher"

while true;
do
	# nohup /usr/bin/fcitx-autostart >/dev/null 2>&1 &
	# Test whether fcitx is running correctly with dbus...
	fcitx-remote > /dev/null 2>&1

	if [ $? = "1" ]; then
		pids=`ps -o ruser=longlonglonglonglonglongname -e -o pid,cmd | grep -w fcitx | grep -w $(whoami) | grep -v grep | awk '{print $2}'`
	 	kill -9 $pids
		nohup /usr/bin/fcitx -r -D > /dev/null 2>&1 &
		sleep 2
	else
		echo "Fcitx is running correctly."
	fi

	# server_fcitx=`ps -o ruser=longlonglonglonglonglongname -e -o cmd | grep -w fcitx | grep -w $(whoami) | grep -v grep | awk '{print $2}' | while read line; do echo $line | awk '{print $1}'; done;`
	# if [ "$server_fcitx" != "$compare_str" ];then
	# 	if [ "$server_fcitx" != "" ];then
	# 		pids=`ps -o ruser=longlonglonglonglonglongname -e -o pid,cmd | grep -w fcitx | grep -w $(whoami) | grep -v grep | awk '{print $2}'`
	# 		kill -9 $pids
	# 	fi
	# 	echo "fcitx is not running, ready start."
	# 	nohup /usr/bin/fcitx -r -D > /dev/null 2>&1 &
	# else
	# 	echo "fcitx is normal"
	# fi

	server_ifly=`ps -o ruser=longlonglonglonglonglongname -e -o pid,cmd | grep -w iflyime-qimpanel | grep -w $(whoami) | grep -v grep |wc -l`
	if [ $server_ifly -eq 0 ];then
		echo "iflytek ime is not running, ready start."
		nohup /usr/bin/iflyime-qimpanel >/dev/null 2>&1 &
		sleep 2
	else
		echo "iflytek ime is normal"
    	fi

	sleep 1
done
